diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/utils/check-style-clang-format.py ns-3.44/utils/check-style-clang-format.py
--- ns-3.43/utils/check-style-clang-format.py	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/utils/check-style-clang-format.py	2025-03-09 16:55:49.823372800 -0700
@@ -13,13 +13,17 @@
 the ".clang-format" file. This script performs the following checks / fixes:
 - Check / apply clang-format. Respects clang-format guards.
 - Check / fix local #include headers with "ns3/" prefix. Respects clang-format guards.
+- Check / fix ns-3 #include headers using angle brackets <> rather than quotes "". Respects clang-format guards.
+- Check / fix Doxygen tags using @ rather than \\. Respects clang-format guards.
+- Check / fix SPDX licenses rather than GPL text. Respects clang-format guards.
+- Check / fix emacs file style comments. Respects clang-format guards.
 - Check / trim trailing whitespace. Always checked.
 - Check / replace tabs with spaces. Respects clang-format guards.
-- Check / fix SPDX licenses rather than GPL text. Respects clang-format guards.
+- Check file encoding. Always checked.
 
 This script can be applied to all text files in a given path or to individual files.
 
-NOTE: The formatting check requires clang-format (version >= 14) to be found on the path.
+NOTE: The formatting check requires clang-format to be found on the path (see the supported versions below).
 The remaining checks do not depend on clang-format and can be executed by disabling clang-format
 checking with the "--no-formatting" option.
 """
@@ -37,12 +41,8 @@
 ###########################################################
 # PARAMETERS
 ###########################################################
-CLANG_FORMAT_VERSIONS = [
-    17,
-    16,
-    15,
-    14,
-]
+CLANG_FORMAT_MAX_VERSION = 17
+CLANG_FORMAT_MIN_VERSION = 15
 
 FORMAT_GUARD_ON = [
     "// clang-format on",
@@ -76,10 +76,14 @@
 # List of checks
 CHECKS = [
     "include_prefixes",
+    "include_quotes",
+    "doxygen_tags",
+    "license",
+    "emacs",
     "whitespace",
     "tabs",
-    "license",
     "formatting",
+    "encoding",
 ]
 
 # Files to check
@@ -109,6 +113,25 @@
 ]
 
 FILE_EXTENSIONS_TO_CHECK["include_prefixes"] = FILE_EXTENSIONS_TO_CHECK["formatting"]
+FILE_EXTENSIONS_TO_CHECK["include_quotes"] = FILE_EXTENSIONS_TO_CHECK["formatting"]
+FILE_EXTENSIONS_TO_CHECK["doxygen_tags"] = FILE_EXTENSIONS_TO_CHECK["formatting"]
+FILE_EXTENSIONS_TO_CHECK["encoding"] = FILE_EXTENSIONS_TO_CHECK["formatting"]
+
+FILE_EXTENSIONS_TO_CHECK["license"] = [
+    ".c",
+    ".cc",
+    ".cmake",
+    ".h",
+    ".py",
+]
+
+FILE_EXTENSIONS_TO_CHECK["emacs"] = [
+    ".c",
+    ".cc",
+    ".h",
+    ".py",
+    ".rst",
+]
 
 FILE_EXTENSIONS_TO_CHECK["tabs"] = [
     ".c",
@@ -145,16 +168,9 @@
     ".txt",
 ]
 
-FILE_EXTENSIONS_TO_CHECK["license"] = [
-    ".c",
-    ".cc",
-    ".cmake",
-    ".h",
-    ".py",
-]
-
 # Other check parameters
 TAB_SIZE = 4
+FILE_ENCODING = "UTF-8"
 
 
 ###########################################################
@@ -253,8 +269,8 @@
     @return Path to clang-format.
     """
 
-    # Find exact version
-    for version in CLANG_FORMAT_VERSIONS:
+    # Find exact version, starting from the most recent one
+    for version in range(CLANG_FORMAT_MAX_VERSION, CLANG_FORMAT_MIN_VERSION - 1, -1):
         clang_format_path = shutil.which(f"clang-format-{version}")
 
         if clang_format_path:
@@ -262,6 +278,7 @@
 
     # Find default version and check if it is supported
     clang_format_path = shutil.which("clang-format")
+    major_version = None
 
     if clang_format_path:
         process = subprocess.run(
@@ -277,14 +294,14 @@
         if version_regex:
             major_version = int(version_regex[0][0])
 
-            if major_version in CLANG_FORMAT_VERSIONS:
+            if CLANG_FORMAT_MIN_VERSION <= major_version <= CLANG_FORMAT_MAX_VERSION:
                 return clang_format_path
 
     # No supported version of clang-format found
     raise RuntimeError(
         f"Could not find any supported version of clang-format installed on this system. "
-        f"List of supported versions: {CLANG_FORMAT_VERSIONS}. "
-        + (f"Found clang-format {major_version}." if version_regex else "")
+        f"List of supported versions: [{CLANG_FORMAT_MAX_VERSION}-{CLANG_FORMAT_MIN_VERSION}]. "
+        + (f"Found clang-format {major_version}." if major_version else "")
     )
 
 
@@ -314,10 +331,14 @@
 
     style_check_strs = {
         "include_prefixes": '#include headers from the same module with the "ns3/" prefix',
+        "include_quotes": 'ns-3 #include headers using angle brackets <> rather than quotes ""',
+        "doxygen_tags": "Doxygen tags using \\ rather than @",
+        "license": "GPL license text instead of SPDX license",
+        "emacs": "emacs file style comments",
         "whitespace": "trailing whitespace",
         "tabs": "tabs",
-        "license": "GPL license text instead of SPDX license",
         "formatting": "bad code formatting",
+        "encoding": f"bad file encoding ({FILE_ENCODING})",
     }
 
     check_style_file_functions_kwargs = {
@@ -328,18 +349,18 @@
                 "check_style_line_function": check_include_prefixes_line,
             },
         },
-        "whitespace": {
+        "include_quotes": {
             "function": check_manually_file,
             "kwargs": {
-                "respect_clang_format_guards": False,
-                "check_style_line_function": check_whitespace_line,
+                "respect_clang_format_guards": True,
+                "check_style_line_function": check_include_quotes_line,
             },
         },
-        "tabs": {
+        "doxygen_tags": {
             "function": check_manually_file,
             "kwargs": {
                 "respect_clang_format_guards": True,
-                "check_style_line_function": check_tabs_line,
+                "check_style_line_function": check_doxygen_tags_line,
             },
         },
         "license": {
@@ -349,10 +370,35 @@
                 "check_style_line_function": check_licenses_line,
             },
         },
+        "emacs": {
+            "function": check_manually_file,
+            "kwargs": {
+                "respect_clang_format_guards": True,
+                "check_style_line_function": check_emacs_line,
+            },
+        },
+        "whitespace": {
+            "function": check_manually_file,
+            "kwargs": {
+                "respect_clang_format_guards": False,
+                "check_style_line_function": check_whitespace_line,
+            },
+        },
+        "tabs": {
+            "function": check_manually_file,
+            "kwargs": {
+                "respect_clang_format_guards": True,
+                "check_style_line_function": check_tabs_line,
+            },
+        },
         "formatting": {
             "function": check_formatting_file,
             "kwargs": {},  # The formatting keywords are added below
         },
+        "encoding": {
+            "function": check_encoding_file,
+            "kwargs": {},
+        },
     }
 
     if checks_enabled["formatting"]:
@@ -509,6 +555,67 @@
     return (filename, is_file_compliant, verbose_infos)
 
 
+def check_encoding_file(
+    filename: str,
+    fix: bool,
+    verbose: bool,
+) -> Tuple[str, bool, List[str]]:
+    """
+    Check / fix the encoding of a file.
+
+    @param filename Name of the file to be checked.
+    @param fix Whether to fix (True) or just check (False) the encoding of the file.
+    @param verbose Show the lines that are not compliant with the style.
+    @return Tuple [Filename,
+                   Whether the file is compliant with the style (before the check),
+                   Verbose information].
+    """
+
+    verbose_infos: List[str] = []
+    is_file_compliant = True
+
+    with open(filename, "rb") as f:
+        file_data = f.read()
+        file_lines = file_data.decode(FILE_ENCODING, errors="replace").splitlines(keepends=True)
+
+        # Check if file has correct encoding
+        try:
+            file_data.decode(FILE_ENCODING)
+
+        except UnicodeDecodeError as e:
+            is_file_compliant = False
+
+            if verbose:
+                # Find line and column with bad encoding
+                bad_char_start_index = e.start
+                n_chars_file_read = 0
+
+                for line_number, line in enumerate(file_lines):
+                    n_chars_line = len(line)
+
+                    if bad_char_start_index < n_chars_file_read + n_chars_line:
+                        bad_char_column = bad_char_start_index - n_chars_file_read
+
+                        verbose_infos.extend(
+                            [
+                                f"{filename}:{line_number + 1}:{bad_char_column + 1}: error: bad {FILE_ENCODING} encoding",
+                                f"    {line.rstrip()}",
+                                f"    {'':>{bad_char_column}}^",
+                            ]
+                        )
+
+                        break
+
+                    n_chars_file_read += n_chars_line
+
+    # Fix file encoding
+    if fix and not is_file_compliant:
+        with open(filename, "w", encoding=FILE_ENCODING) as f:
+            f.writelines(file_lines)
+
+    return (filename, is_file_compliant, verbose_infos)
+
+
 def check_manually_file(
     filename: str,
     fix: bool,
@@ -533,7 +640,7 @@
     verbose_infos: List[str] = []
     clang_format_enabled = True
 
-    with open(filename, "r", encoding="utf-8") as f:
+    with open(filename, "r", encoding=FILE_ENCODING) as f:
         file_lines = f.readlines()
 
     for i, line in enumerate(file_lines):
@@ -567,7 +674,7 @@
 
     # Update file with the fixed lines
     if fix and not is_file_compliant:
-        with open(filename, "w", encoding="utf-8") as f:
+        with open(filename, "w", encoding=FILE_ENCODING) as f:
             f.writelines(file_lines)
 
     return (filename, is_file_compliant, verbose_infos)
@@ -617,20 +724,20 @@
                 [
                     f'{filename}:{line_number + 1}:{header_index + 1}: error: #include headers from the same module with the "ns3/" prefix detected',
                     f"    {line_stripped}",
-                    f'    {"":{header_index}}^',
+                    f"    {'':>{header_index}}^",
                 ]
             )
 
     return (is_line_compliant, line_fixed, verbose_infos)
 
 
-def check_whitespace_line(
+def check_include_quotes_line(
     line: str,
     filename: str,
     line_number: int,
 ) -> Tuple[bool, str, List[str]]:
     """
-    Check / fix whitespace in a line.
+    Check / fix ns-3 #include headers using angle brackets <> rather than quotes "" in a line.
 
     @param line The line to check.
     @param filename Name of the file to be checked.
@@ -641,29 +748,34 @@
     """
 
     is_line_compliant = True
-    line_fixed = line.rstrip() + "\n"
+    line_fixed = line
     verbose_infos: List[str] = []
 
-    if line_fixed != line:
+    # Check if the line is an #include <ns3/...>
+    header_file = re.findall(r"^#include <ns3/.*\.h>", line)
+
+    if header_file:
         is_line_compliant = False
-        line_fixed_stripped_expanded = line_fixed.rstrip().expandtabs(TAB_SIZE)
+        line_fixed = line.replace("<", '"').replace(">", '"')
+
+        header_index = len("#include ")
 
         verbose_infos = [
-            f"{filename}:{line_number + 1}:{len(line_fixed_stripped_expanded) + 1}: error: Trailing whitespace detected",
-            f"    {line_fixed_stripped_expanded}",
-            f'    {"":{len(line_fixed_stripped_expanded)}}^',
+            f"{filename}:{line_number + 1}:{header_index + 1}: error: ns-3 #include headers with angle brackets detected",
+            f"    {line}",
+            f"    {'':{header_index}}^",
         ]
 
     return (is_line_compliant, line_fixed, verbose_infos)
 
 
-def check_tabs_line(
+def check_doxygen_tags_line(
     line: str,
     filename: str,
     line_number: int,
 ) -> Tuple[bool, str, List[str]]:
     """
-    Check / fix tabs in a line.
+    Check / fix Doxygen tags using \\ rather than @ in a line.
 
     @param line The line to check.
     @param filename Name of the file to be checked.
@@ -673,21 +785,36 @@
                    Verbose information].
     """
 
+    IGNORED_WORDS = [
+        "\\dots",
+        "\\langle",
+        "\\quad",
+    ]
+
     is_line_compliant = True
     line_fixed = line
     verbose_infos: List[str] = []
 
-    tab_index = line.find("\t")
+    # Match Doxygen tags at the start of the line (e.g., "* \param arg Description")
+    line_stripped = line.rstrip()
+    regex_findings = re.findall(r"^\s*(?:\*|\/\*\*|\/\/\/)\s*(\\\w{3,})(?=(?:\s|$))", line_stripped)
 
-    if tab_index != -1:
-        is_line_compliant = False
-        line_fixed = line.expandtabs(TAB_SIZE)
+    if regex_findings:
+        doxygen_tag = regex_findings[0]
 
-        verbose_infos = [
-            f"{filename}:{line_number + 1}:{tab_index + 1}: error: Tab detected",
-            f"    {line.rstrip()}",
-            f'    {"":{tab_index}}^',
-        ]
+        if doxygen_tag not in IGNORED_WORDS:
+            is_line_compliant = False
+
+            doxygen_tag_index = line_fixed.find(doxygen_tag)
+            line_fixed = line.replace(doxygen_tag, f"@{doxygen_tag[1:]}")
+
+            verbose_infos.extend(
+                [
+                    f"{filename}:{line_number + 1}:{doxygen_tag_index + 1}: error: detected Doxygen tags using \\ rather than @",
+                    f"    {line_stripped}",
+                    f"    {'':{doxygen_tag_index}}^",
+                ]
+            )
 
     return (is_line_compliant, line_fixed, verbose_infos)
 
@@ -749,13 +876,121 @@
             [
                 f"{filename}:{line_number + 1}:{col_index}: error: GPL license text detected instead of SPDX license",
                 f"    {line_stripped}",
-                f'    {"":{col_index}}^',
+                f"    {'':>{col_index}}^",
             ]
         )
 
     return (is_line_compliant, line_fixed, verbose_infos)
 
 
+def check_emacs_line(
+    line: str,
+    filename: str,
+    line_number: int,
+) -> Tuple[bool, str, List[str]]:
+    """
+    Check / fix emacs file style comment in a line.
+
+    @param line The line to check.
+    @param filename Name of the file to be checked.
+    @param line_number The number of the line checked.
+    @return Tuple [Whether the line is compliant with the style (before the check),
+                   Fixed line,
+                   Verbose information].
+    """
+
+    is_line_compliant = True
+    line_fixed = line
+    verbose_infos: List[str] = []
+
+    # Check if line is an emacs file style comment
+    line_stripped = line.strip()
+    # fmt: off
+    emacs_line = re.search(r"c-file-style:|py-indent-offset:", line_stripped)
+    # fmt: on
+
+    if emacs_line:
+        is_line_compliant = False
+        line_fixed = ""
+        col_index = emacs_line.start()
+
+        verbose_infos = [
+            f"{filename}:{line_number + 1}:{col_index}: error: emacs file style comment detected",
+            f"    {line_stripped}",
+            f"    {'':{col_index}}^",
+        ]
+
+    return (is_line_compliant, line_fixed, verbose_infos)
+
+
+def check_whitespace_line(
+    line: str,
+    filename: str,
+    line_number: int,
+) -> Tuple[bool, str, List[str]]:
+    """
+    Check / fix whitespace in a line.
+
+    @param line The line to check.
+    @param filename Name of the file to be checked.
+    @param line_number The number of the line checked.
+    @return Tuple [Whether the line is compliant with the style (before the check),
+                   Fixed line,
+                   Verbose information].
+    """
+
+    is_line_compliant = True
+    line_fixed = line.rstrip() + "\n"
+    verbose_infos: List[str] = []
+
+    if line_fixed != line:
+        is_line_compliant = False
+        line_fixed_stripped_expanded = line_fixed.rstrip().expandtabs(TAB_SIZE)
+
+        verbose_infos = [
+            f"{filename}:{line_number + 1}:{len(line_fixed_stripped_expanded) + 1}: error: Trailing whitespace detected",
+            f"    {line_fixed_stripped_expanded}",
+            f"    {'':>{len(line_fixed_stripped_expanded)}}^",
+        ]
+
+    return (is_line_compliant, line_fixed, verbose_infos)
+
+
+def check_tabs_line(
+    line: str,
+    filename: str,
+    line_number: int,
+) -> Tuple[bool, str, List[str]]:
+    """
+    Check / fix tabs in a line.
+
+    @param line The line to check.
+    @param filename Name of the file to be checked.
+    @param line_number The number of the line checked.
+    @return Tuple [Whether the line is compliant with the style (before the check),
+                   Fixed line,
+                   Verbose information].
+    """
+
+    is_line_compliant = True
+    line_fixed = line
+    verbose_infos: List[str] = []
+
+    tab_index = line.find("\t")
+
+    if tab_index != -1:
+        is_line_compliant = False
+        line_fixed = line.expandtabs(TAB_SIZE)
+
+        verbose_infos = [
+            f"{filename}:{line_number + 1}:{tab_index + 1}: error: Tab detected",
+            f"    {line.rstrip()}",
+            f"    {'':>{tab_index}}^",
+        ]
+
+    return (is_line_compliant, line_fixed, verbose_infos)
+
+
 ###########################################################
 # MAIN
 ###########################################################
@@ -764,7 +999,8 @@
         description="Check and apply the ns-3 coding style recursively to all files in the given PATHs. "
         "The script checks the formatting of the files using clang-format and"
         " other coding style rules manually (see script arguments). "
-        "All checks respect clang-format guards, except trailing whitespace, which is always checked. "
+        "All checks respect clang-format guards, except trailing whitespace and file encoding,"
+        " which are always checked. "
         'When used in "check mode" (default), the script runs all checks in all files. '
         "If it detects non-formatted files, they will be printed and this process exits with a non-zero code. "
         'When used in "fix mode", this script automatically fixes the files and exits with 0 code.'
@@ -785,15 +1021,15 @@
     )
 
     parser.add_argument(
-        "--no-whitespace",
+        "--no-include-quotes",
         action="store_true",
-        help="Do not check / fix trailing whitespace",
+        help='Do not check / fix ns-3 #include headers using angle brackets <> rather than quotes "" (respects clang-format guards)',
     )
 
     parser.add_argument(
-        "--no-tabs",
+        "--no-doxygen-tags",
         action="store_true",
-        help="Do not check / fix tabs (respects clang-format guards)",
+        help="Do not check / fix Doxygen tags using @ rather than \\ (respects clang-format guards)",
     )
 
     parser.add_argument(
@@ -803,12 +1039,36 @@
     )
 
     parser.add_argument(
+        "--no-emacs",
+        action="store_true",
+        help="Do not check / fix emacs file style comments (respects clang-format guards)",
+    )
+
+    parser.add_argument(
+        "--no-whitespace",
+        action="store_true",
+        help="Do not check / fix trailing whitespace",
+    )
+
+    parser.add_argument(
+        "--no-tabs",
+        action="store_true",
+        help="Do not check / fix tabs (respects clang-format guards)",
+    )
+
+    parser.add_argument(
         "--no-formatting",
         action="store_true",
         help="Do not check / fix code formatting (respects clang-format guards)",
     )
 
     parser.add_argument(
+        "--no-encoding",
+        action="store_true",
+        help=f"Do not check / fix file encoding ({FILE_ENCODING})",
+    )
+
+    parser.add_argument(
         "--fix",
         action="store_true",
         help="Fix coding style issues detected in the files",
@@ -836,18 +1096,22 @@
             paths=args.paths,
             checks_enabled={
                 "include_prefixes": not args.no_include_prefixes,
+                "include_quotes": not args.no_include_quotes,
+                "doxygen_tags": not args.no_doxygen_tags,
+                "license": not args.no_licenses,
+                "emacs": not args.no_emacs,
                 "whitespace": not args.no_whitespace,
                 "tabs": not args.no_tabs,
-                "license": not args.no_licenses,
                 "formatting": not args.no_formatting,
+                "encoding": not args.no_encoding,
             },
             fix=args.fix,
             verbose=args.verbose,
             n_jobs=args.jobs,
         )
 
-    except Exception as e:
-        print("ERROR:", e)
+    except Exception as ex:
+        print("ERROR:", ex)
         sys.exit(1)
 
     if not all_checks_successful:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/utils/codespell-ignored-lines ns-3.44/utils/codespell-ignored-lines
--- ns-3.43/utils/codespell-ignored-lines	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/utils/codespell-ignored-lines	2025-03-09 16:55:49.823372800 -0700
@@ -159,3 +159,17 @@
 
 ./doc/manual/source/working-with-docker.rst
     067a8b748816715d93ede9099132d943c04b13fcc23b3b8a7e21d23c1096cc2a
+
+./src/lte/model/cqa-ff-mac-scheduler.cc
+    std::map<LteFlowId_t, int> UEtoHOL;
+        UEtoHOL.insert(std::pair<LteFlowId_t, int>(itLogicalChannels->first, delay));
+                int hol = UEtoHOL.find(flowId)->second;
+
+./src/mesh/doc/source/mesh-design.rst
+contribution in [Hep15]_.
+when forwarding a frame (e.g., [Hep16]_), but current wifi module maintainers
+value was chosen based on the measurement results reported in [Hep16]_ which
+
+./src/mesh/doc/source/mesh-references.rst
+.. [Hep15] \C. Hepner and \A. Witt and \R. Muenzner, `Validation of the ns-3 802.11s model and proposed changes compliant to IEEE 802.11-2012 <https://www.nsnam.org/wp-content/uploads/2015/05/WNS3_2015_submission_33.pdf>`_, Poster at 2015 Workshop on ns-3, May 2015.
+.. [Hep16] \C. Hepner and \S. Moll and \R. Muenzner, `Influence of Processing Delays on the VoIP Performance for IEEE 802.11s Multihop Wireless Mesh Networks:  Comparison of ns-3 Network Simulations with Hardware Measurements <http://dl.acm.org/citation.cfm?id=3021439>`_, Proceedings of SIMUTOOLS 16, August, 2016.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/utils/codespell-ignored-words ns-3.44/utils/codespell-ignored-words
--- ns-3.43/utils/codespell-ignored-words	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/utils/codespell-ignored-words	2025-03-09 16:55:49.823372800 -0700
@@ -1,6 +1,9 @@
 #LaTeX
 te
 
+#C++
+countr
+
 #Core
 bu
 mone
@@ -27,6 +30,7 @@
 #Wi-Fi
 aci
 fils
+usig
 
 #Wimax
 aas
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/utils/create-module.py ns-3.44/utils/create-module.py
--- ns-3.43/utils/create-module.py	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/utils/create-module.py	2025-03-09 16:55:49.823372800 -0700
@@ -40,7 +40,7 @@
 
 /* ... */
 
-}}
+}} // namespace ns3
 """
 
 
@@ -51,20 +51,20 @@
 // Add a doxygen group for this module.
 // If you have more than one file, this should be in only one of them.
 /**
- * \defgroup {MODULE} Description of the {MODULE}
+ * @defgroup {MODULE} Description of the {MODULE}
  */
 
 namespace ns3
 {{
 
 // Each class should be documented using Doxygen,
-// and have an \ingroup {MODULE} directive
+// and have an @ingroup {MODULE} directive
 
 /* ... */
 
-}}
+}} // namespace ns3
 
-#endif /* {INCLUDE_GUARD} */
+#endif // {INCLUDE_GUARD}
 """
 
 
@@ -76,7 +76,7 @@
 
 /* ... */
 
-}}
+}} // namespace ns3
 """
 
 
@@ -90,13 +90,13 @@
 {{
 
 // Each class should be documented using Doxygen,
-// and have an \ingroup {MODULE} directive
+// and have an @ingroup {MODULE} directive
 
 /* ... */
 
-}}
+}} // namespace ns3
 
-#endif /* {INCLUDE_GUARD} */
+#endif // {INCLUDE_GUARD}
 """
 
 
@@ -113,7 +113,7 @@
 #include "ns3/{MODULE}-helper.h"
 
 /**
- * \\file
+ * @file
  *
  * Explain here what the example does.
  */
@@ -140,7 +140,6 @@
 
 
 TEST_CC_TEMPLATE = """\
-
 // Include a header file from your module to test.
 #include "ns3/{MODULE}.h"
 
@@ -154,21 +153,21 @@
 // Add a doxygen group for tests.
 // If you have more than one test, this should be in only one of them.
 /**
- * \defgroup {MODULE}-tests Tests for {MODULE}
- * \ingroup {MODULE}
- * \ingroup tests
+ * @defgroup {MODULE}-tests Tests for {MODULE}
+ * @ingroup {MODULE}
+ * @ingroup tests
  */
 
 // This is an example TestCase.
 /**
- * \ingroup {MODULE}-tests
+ * @ingroup {MODULE}-tests
  * Test case for feature 1
  */
 class {CAPITALIZED}TestCase1 : public TestCase
 {{
   public:
     {CAPITALIZED}TestCase1();
-    virtual ~{CAPITALIZED}TestCase1();
+    ~{CAPITALIZED}TestCase1() override;
 
   private:
     void DoRun() override;
@@ -194,7 +193,7 @@
 {CAPITALIZED}TestCase1::DoRun()
 {{
     // A wide variety of test macros are available in src/core/test.h
-    NS_TEST_ASSERT_MSG_EQ(true, true, "true doesn\'t equal true for some reason");
+    NS_TEST_ASSERT_MSG_EQ(true, true, "true doesn't equal true for some reason");
     // Use this one for floating point comparisons
     NS_TEST_ASSERT_MSG_EQ_TOL(0.01, 0.01, 0.001, "Numbers are not equal within tolerance");
 }}
@@ -204,7 +203,7 @@
 // this class must be defined
 
 /**
- * \ingroup {MODULE}-tests
+ * @ingroup {MODULE}-tests
  * TestSuite for module {MODULE}
  */
 class {CAPITALIZED}TestSuite : public TestSuite
@@ -213,6 +212,7 @@
     {CAPITALIZED}TestSuite();
 }};
 
+// Type for TestSuite can be UNIT, SYSTEM, EXAMPLE, or PERFORMANCE
 {CAPITALIZED}TestSuite::{CAPITALIZED}TestSuite()
     : TestSuite("{MODULE}", Type::UNIT)
 {{
@@ -222,7 +222,7 @@
 
 // Do not forget to allocate an instance of this TestSuite
 /**
- * \ingroup {MODULE}-tests
+ * @ingroup {MODULE}-tests
  * Static variable for test initialization
  */
 static {CAPITALIZED}TestSuite s{COMPOUND}TestSuite;
@@ -584,7 +584,7 @@
     #
 
     # Alphanumeric and '-' only
-    allowedRE = re.compile("^(\w|-)+$")
+    allowedRE = re.compile(r"^(\w|-)+$")
 
     project_path = None
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/utils/perf/perf-io.cc ns-3.44/utils/perf/perf-io.cc
--- ns-3.43/utils/perf/perf-io.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/utils/perf/perf-io.cc	2025-03-09 16:55:49.823372800 -0700
@@ -13,14 +13,14 @@
 using namespace ns3;
 
 /**
- * \ingroup system-tests-perf
+ * @ingroup system-tests-perf
  *
  * Check the performance of writing to file.
  *
- * \param file The file to write to.
- * \param n The number of writes to perform.
- * \param buffer The buffer to write.
- * \param size The buffer size.
+ * @param file The file to write to.
+ * @param n The number of writes to perform.
+ * @param buffer The buffer to write.
+ * @param size The buffer size.
  */
 void
 PerfFile(FILE* file, uint32_t n, const char* buffer, uint32_t size)
@@ -35,14 +35,14 @@
 }
 
 /**
- * \ingroup system-tests-perf
+ * @ingroup system-tests-perf
  *
  * Check the performance of writing to an output stream.
  *
- * \param stream The output stream to write to.
- * \param n The number of writes to perform.
- * \param buffer The buffer to write.
- * \param size The buffer size.
+ * @param stream The output stream to write to.
+ * @param n The number of writes to perform.
+ * @param buffer The buffer to write.
+ * @param size The buffer size.
  */
 void
 PerfStream(std::ostream& stream, uint32_t n, const char* buffer, uint32_t size)
